package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.param.project.MultiSimulationProjectResultParam;
import api.common.pojo.po.project.MultiSimulationProjectResultPO;
import api.common.pojo.vo.project.MultiSimulationProjectResultVO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface MultiSimulationProjectResultMapper {
    @Select("<script>" +
        "select id,scene_id,abnormal_type,abnormal_time from multi_simulation_project_result where deleted = 0 " +
        "and scene_id = #{sceneId}" +
        "order by abnormal_time,create_time desc" +
        "</script>")
    List<MultiSimulationProjectResultVO> selectProjectResultList(MultiSimulationProjectResultParam param);

    @Insert("<script>" +
        "insert into multi_simulation_project_result (id,scene_id,abnormal_type,abnormal_time_description) values" +
        "(#{id},#{sceneId},#{abnormalType},#{abnormalTimeDescription})" +
        "</script>")
    int insertProjectResult(MultiSimulationProjectResultPO param);

}
